{% load static wagtailcore_tags wagtailimages_tags %}
<div class="candidate-card candidate-card--pirati-stan container-padding--zero sm:container-padding--auto ">
  <div class="candidate-card__wrapper h-full candidate-card-list__item-wrapper">
    <div class="card candidate-card__body elevation-2 sm:elevation-0 hover:elevation-10 transition duration-200 h-full">
      <div class="candidate-card__avatar sm:pl-0">
        <div class="candidate-card__position">{{ candidate.number }}</div>
        <a href="{% pageurl candidate %}" data-href="{% pageurl candidate %}">
          <div class="avatar avatar--sm sm:avatar--lg">
            {% image candidate.photo fill-112x112 %}
          </div>
        </a>
      </div>
      <div class="candidate-card__bio">
        <h1 class="head-heavy-xs"><a href="{% pageurl candidate %}" data-href="{% pageurl candidate %}">{{ candidate.title }}</a></h1>
        <a href="mailto:{{ candidate.email }}" class="candidate-card__bio-item block pb-4 pt-3 md:pt-0 md:pb-4">{{ candidate.email|default:"" }}</a>
        <h2 class="candidate-card__bio-item">{{ candidate.occupation }}</h2>
        <h2 class="head-allcaps-4xs mt-4">{{ candidate.city }}</h2>
      </div>
      <div class="candidate-card__affiliation">
        <div>{{ candidate.age }} let</div>
        <div>
          <div class="mr-2">
            {% if candidate.is_pirate %}
              <img src="{% static "elections2021/images/logo-pirati-21px.svg" %}">
            {% else %}
              <img src="{% static "elections2021/images/logo-stan-21px.svg" %}">
            {% endif %}
          </div>
          <span class="font-bold font-condensed">{{ candidate.party_name }}</span>
        </div>
      </div>
      <div class="card__body candidate-card__social">
        <div class="social-icon-group space-x-2 ">
          {% if candidate.facebook_url %}
            <a href="{{ candidate.facebook_url }}" class="social-icon"><i class="ico--facebook"></i></a>
          {% endif %}
          {% if candidate.twitter_url %}
            <a href="{{ candidate.twitter_url }}" class="social-icon"><i class="ico--twitter"></i></a>
          {% endif %}
          {% if candidate.instagram_url %}
            <a href="{{ candidate.instagram_url }}" class="social-icon"><i class="ico--instagram"></i></a>
          {% endif %}
          {% if candidate.website_url %}
            <a href="{{ candidate.website_url }}" class="social-icon"><i class="ico--home"></i></a>
          {% endif %}
          {% if candidate.email %}
            <a href="mailto:{{ candidate.email }}" class="social-icon"><i class="ico--envelope"></i></a>
          {% endif %}
        </div>
      </div>
    </div>
  </div>
</div>
